UNIT ayuda;
(* Programa: TINS'06
 * Unidad: ayuda
 * Descripcin: Implementa la ayuda "en lnea".
 * Autor: uo Martnez <niunio at pagina.de>
 *)

INTERFACE

USES
  mingro;

(* MuestraAyuda:
 *   Muestra la ayuda "en lnea". *)
  PROCEDURE MuestraAyuda;



IMPLEMENTATION

USES
  sysutils;


  
(* MuestraAyuda:
 *   Muestra la ayuda "en lnea". *)
PROCEDURE MuestraAyuda;
VAR
  Fondo, aBmp: MG_BITMAPptr;
BEGIN
  TRY
    aBmp := mgCreateBitmap (500, 210);
    IF aBmp = NIL THEN
      RAISE EXCEPTION.Create ('Can''t show help!');
  { Copiamos el fondo para ms tarde. }
    Fondo := mgCreateBitmap (500, 210);
    IF Fondo = NIL THEN
      RAISE EXCEPTION.Create ('Can''t show help!');
    mgBlitEx (mgScreen, Fondo, 70, 40, 0, 0, 500, 210);
  { mostramos la ayuda. }
    mgClearBitmapToColor (aBmp, mgColor (0, 0, 204));
    mgRect (aBmp, 2, 2, 496, 206, mgColor (255, 255, 255));
    mgTextout (aBmp, mgDefaultFont, 206, 8, mgColor (255, 255, 255), 'How to play');
    mgLine (aBmp, 206, 16, 294, 16, mgColor (255, 255, 255));
    mgTextout (aBmp, mgDefaultFont, 8, 32, mgColor (255, 255, 255), 'Help the train to go to the stations.  You must rotate or');
    mgTextout (aBmp, mgDefaultFont, 8, 40, mgColor (255, 255, 255), 'slide the track tiles:');
    mgTextout (aBmp, mgDefaultFont, 32, 56, mgColor (255, 255, 255), '* Click mouse to rotate a track clockwise.');
    mgTextout (aBmp, mgDefaultFont, 32, 72, mgColor (255, 255, 255), '* Press key [Alt] and click mouse to rotate it');
    mgTextout (aBmp, mgDefaultFont, 32, 80, mgColor (255, 255, 255), '  counter-clockwise.');
    mgTextout (aBmp, mgDefaultFont, 32, 96, mgColor (255, 255, 255), '* Press key [Ctrl] and clik mouse to slide the tracks.');
    mgTextout (aBmp, mgDefaultFont, 8, 112, mgColor (255, 255, 255), 'If the train finds an stop, it will turn back.');
    mgTextout (aBmp, mgDefaultFont, 8, 128, mgColor (255, 255, 255), 'Be careful and avoid derailment...');
    mgTextout (aBmp, mgDefaultFont, 80, 160, mgColor (255, 255, 255), '        _     +----------------+');
    mgTextout (aBmp, mgDefaultFont, 80, 168, mgColor (255, 255, 255), '  _U_n_|(     | Press a key... |');
    mgTextout (aBmp, mgDefaultFont, 80, 176, mgColor (255, 255, 255), ' (_____|_|-||-+----------------+-|');
    mgTextout (aBmp, mgDefaultFont, 80, 184, mgColor (255, 255, 255), '/_oo=00=oo       O=O      O=O');
    mgBlit (aBmp, mgScreen, 70, 40);
    mgReadKey;
  { Recuperamos el fondo. }
    mgBlitEx (Fondo, mgScreen, 0, 0, 70, 40, 500, 210);
  FINALLY
  { Liberamos recursos. }
    IF aBmp <> NIL THEN mgDestroyBitmap (aBmp);
    IF Fondo <> NIL THEN mgDestroyBitmap (Fondo);
  END;
END;



END.

