UNIT reloj;
(* Programa: TINS'06
 * Unidad: reloj
 * Descripcin: Implementa todos aquellos elementos de control de tiempo.
 * Autor: uo Martnez <niunio at pagina.de>
 *)

INTERFACE


(* IniciaReloj:
 *   Prepara todo lo necesario para que funcione. *)
  PROCEDURE IniciaReloj;



(*************************
 * Control de fotogramas *
 *************************)

CONST
  FPS = 50;

VAR
  Fotograma: INTEGER; { > 0; Hay que actualizar la lgica. }

IMPLEMENTATION

USES
  mingro, sysutils;



(* IntFotograma:
 *   Interrupcin que indica que ha de actualizar el fotograma. *)
PROCEDURE IntFotograma; CDECL;
BEGIN
  INC (Fotograma);
END;



(* IniciaReloj:
 *   Prepara todo lo necesario para que funcione. *)
PROCEDURE IniciaReloj;
BEGIN
  IF mgInstallInterruption (@IntFotograma, mgBpsToTimer (FPS)) < 0 THEN
    RAISE EXCEPTION.Create ('Can''t start clock!');
END;



END.

